﻿Imports System.Runtime.CompilerServices
Imports System.Data.Objects

<Extension()> _
Public Module ObjectQueryExtenstions
    ''' <summary>
    ''' Inserts all on submit.
    ''' </summary>
    ''' <typeparam name="T"></typeparam>
    ''' <param name="source">The source.</param>
    ''' <param name="items">The items.</param>
    <Extension()> _
    Public Sub InsertAllOnSubmit(Of T)(ByVal source As ObjectQuery(Of T), ByVal items As IEnumerable(Of T))
        For Each item In items
            source.Context.AddObject(source.Name, item)
        Next
    End Sub

    <Extension()> _
    Public Sub DeleteAllOnSubmit(Of T)(ByVal source As ObjectQuery(Of T), ByVal items As IEnumerable(Of T))
        For Each item In items
            source.Context.DeleteObject(item)
        Next
    End Sub
End Module
