<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="DefaultPage"
    MasterPageFile="~/Blog.master" %>

<asp:Content ID="content" runat="server" ContentPlaceHolderID="ContentPlaceHolder1">
    <asp:Repeater ID="Repeater1" runat="server" EnableViewState="False">
        <ItemTemplate>
            <div class="post">
                <h2>
                    <a href='Admin/EditPost.aspx?Postid=<%# Eval("ID") %>'>
                        <asp:Image Visible="<%# IsAdmin %>" ID="EditIcon" runat="server" AlternateText="Edit"
                            ImageUrl="~/Images/EditInformationHS.png" />
                    </a><strong><a href='Default/<%# Microsoft.VisualBasic.Replace(Eval("Title"), " ", "_") %>.aspx'>
                        <%#Eval("Title")%></a></h2>
                <div class="story">
                    <%#Eval("Description")%></div>
                <div class="meta">
                    Posted on
                    <%#Eval("PublicationDate")%>
                    <%--- <a href='Default/<%# Eval("TitleUrlRewrite") %>.aspx'>Comments (<%#DirectCast(Eval("Comments"), System.Data.Linq.EntitySet(Of LinqBlog.BO.Comment)).Where(Function(c) (c.IsApproved)).Count%>)</a><br />--%>
                    - <a href='Default/<%# Eval("TitleUrlRewrite") %>.aspx'>Comments (<%#DirectCast(Eval("Comments"), System.Data.Objects.DataClasses.EntityCollection(Of LinqBlog.BO.Comment)).Where(Function(c) (c.IsApproved)).Count%>)</a><br /> 
                    <asp:Repeater ID="Categories" runat="server" DataSource='<%# Eval("Categories") %>'>
                        <HeaderTemplate>
                            Categories:
                        </HeaderTemplate>
                        <ItemTemplate>
                            <a href='Default.aspx?CategoryId=<%# Eval("CategoryId") %>' title='<%# Eval("Description") %>'>
                                <%#CStr(Eval("Title")).Trim%></a></ItemTemplate>
                        <SeparatorTemplate>
                            ,
                        </SeparatorTemplate>
                    </asp:Repeater>
                </div>
        </ItemTemplate>
    </asp:Repeater>
    <asp:Panel ID="CommentRegion" runat="server" Visible="false">
        Comments:
        <ul>
            <asp:Repeater ID="CommentRepeater" runat="server" EnableViewState="false">
                <ItemTemplate>
                    <div class='<%# If(cstr(Eval("CreatorEmail"))="jimwooley@hotmail.com","response","comment") %>'>
                        <li><a name='<%# Eval("CommentId") %>'></a>
                            <%# server.htmldecode(cstr(Eval("Description"))) %><br />
                            <strong>
                                <%# GetCreator(cstr(Eval("CreatorLink")), cstr(Eval("Creator"))) %></strong>
                            (Posted on
                            <%# Eval("EnteredDate") %>) </li>
                    </div>
                </ItemTemplate>
            </asp:Repeater>
        </ul>
        <div class="inputForm">
            <asp:Label ID="CommentNameLabel" AssociatedControlID="CommentName" runat="server"
                Text="Name"></asp:Label>
            <asp:TextBox ID="CommentName" runat="server"></asp:TextBox>
            <br />
            <asp:Label ID="CommentLinkLabel" AssociatedControlID="CommentLink" runat="server"
                Text="Url"></asp:Label>
            <asp:TextBox ID="CommentLink" runat="server"></asp:TextBox>
            <br />
            <asp:Label ID="CommentEmailLabel" AssociatedControlID="CommentEmail" runat="server"
                Text="Email"></asp:Label>
            <asp:TextBox ID="CommentEmail" runat="server"></asp:TextBox>
            <br />
            <asp:Label ID="CommentDescriptionLabel" AssociatedControlID="CommentDescription"
                runat="server" Text="Comment"></asp:Label>
            <asp:TextBox ID="CommentDescription" runat="server" Height="89px" Width="423px" TextMode="MultiLine"></asp:TextBox>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="RequiredFieldValidator"
                ControlToValidate="CommentDescription">required</asp:RequiredFieldValidator>
            <br />
            <asp:LinkButton ID="CommentSubmit" runat="server">Save Comment</asp:LinkButton>
        </div>
    </asp:Panel>
    <asp:Panel ID="CommentAcknowledge" Visible="false" runat="server">
        Thank you for your comment. Due to moderation, your post may not show up until it
        is approved.</asp:Panel>
    <asp:Panel ID="PagingButtons" runat="server" Visible="true">
        <asp:HyperLink ID="Previous" runat="server">Previous</asp:HyperLink>
        &nbsp; &nbsp;
        <asp:HyperLink NavigateUrl="~/Default.aspx?Page=2" ID="Next" runat="server">Next</asp:HyperLink>
    </asp:Panel>
</asp:Content>
